> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trackstarhq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Cart Orders

> Returns all Orders for the Cart connection associated with the provided access token.



## OpenAPI

````yaml get /cart/orders
openapi: 3.1.0
info:
  description: >

    Trackstar is a Unified API that provides standard endpoints for Supply Chain
    Logistics. We currently offer an API for Warehouse Management Systems (WMS).
  title: Trackstar API
  version: 0.1.0
servers:
  - description: Trackstar API
    url: https://production.trackstarhq.com
security: []
tags: []
externalDocs:
  description: Trackstar API Documentation
  url: https://docs.trackstarhq.com
paths:
  /cart/orders:
    get:
      tags:
        - cart
        - Orders
      summary: Get All Cart Orders
      description: >-
        Returns all Orders for the Cart connection associated with the provided
        access token.
      operationId: get_cart_get_orders
      parameters:
        - in: header
          name: x-trackstar-api-key
          description: Your organization-level Trackstar API key.
          schema:
            type: string
            example: <x-trackstar-api-key>
          required: true
        - in: header
          name: x-trackstar-access-token
          description: >-
            Your user's access token for a specific integration (ShipHero,
            Extensiv, etc).
          schema:
            type: string
            example: <x-trackstar-access-token>
          required: true
        - in: query
          name: page_token
          description: >-
            The page token to use to retrieve the next page of results. If this
            field is omitted, there are no subsequent pages.
          schema:
            type:
              - string
              - 'null'
            example: page_token
          required: false
        - in: query
          name: limit
          description: The maximum number of items to return. The default is 1000.
          schema:
            type: integer
            minimum: 1
            maximum: 1000
            example: 1000
          required: false
        - in: query
          name: ids
          schema:
            $ref: '#/components/schemas/CartOrderIdsQueryParam'
          required: false
          style: deepObject
          explode: true
        - in: query
          name: created_date
          description: >-
            Use this parameter to retrieve items filtered to a specific date
            range. For example, to get all items between 2023-03-10 and
            2023-03-22, you would send
            `created_date[gte]=2023-03-10T00:00:00Z&created_date[lte]=2023-03-22T00:00:00Z.`
            See the [filtering docs](/how-to-guides/about-the-api#filtering) for
            more. The date format must always be YYYY-MM-DDTHH:MM:SSZ. 
             Note: it is much more efficient to use a combination of `gte`/`lte` than it is to use `gt`/`lt`.
          schema:
            $ref: '#/components/schemas/CartOrderCreated_DateQueryParam'
          required: false
          style: deepObject
          explode: true
        - in: query
          name: updated_date
          description: Same syntax as `created_date`.
          schema:
            $ref: '#/components/schemas/CartOrderUpdated_DateQueryParam'
          required: false
          style: deepObject
          explode: true
        - in: query
          name: trackstar_created_date
          description: Same syntax as `created_date`.
          schema:
            $ref: '#/components/schemas/CartOrderTrackstar_Created_DateQueryParam'
          required: false
          style: deepObject
          explode: true
        - in: query
          name: trackstar_updated_date
          description: Same syntax as `created_date`.
          schema:
            $ref: '#/components/schemas/CartOrderTrackstar_Updated_DateQueryParam'
          required: false
          style: deepObject
          explode: true
        - in: query
          name: trackstar_tags
          description: >-
            Filter by trackstar tags. Dict-shaped tags should be queried as
            "key:value" strings.
          schema:
            $ref: '#/components/schemas/CartOrderTrackstar_Tags_FlatQueryParam'
          required: false
          style: deepObject
          explode: true
        - in: query
          name: status
          description: >-
            The status of the order. See the [order information](info) for more
            details.
          schema:
            $ref: '#/components/schemas/CartOrderStatusQueryParam'
          required: false
          style: deepObject
          explode: true
        - in: query
          name: order_number
          description: A user-friendly identifier for the order
          schema:
            $ref: '#/components/schemas/CartOrderOrder_NumberQueryParam'
          required: false
          style: deepObject
          explode: true
        - in: query
          name: tags
          description: Filter orders by their tags
          schema:
            $ref: '#/components/schemas/CartOrderTagsQueryParam'
          required: false
          style: deepObject
          explode: true
        - in: query
          name: skus
          description: Filter orders by the SKUs in the line items
          schema:
            $ref: '#/components/schemas/CartOrderSkusQueryParam'
          required: false
          style: deepObject
          explode: true
        - in: query
          name: warehouse_ids
          description: >-
            Only available for Shopify. Filter orders by the warehouse IDs of
            the shipping groups.
          schema:
            $ref: '#/components/schemas/CartOrderWarehouse_IdsQueryParam'
          required: false
          style: deepObject
          explode: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CartOrdersListEndpoint'
          description: Successful response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationError'
          description: Validation error
components:
  schemas:
    CartOrderIdsQueryParam:
      type: object
      properties:
        in:
          type: array
          description: >-
            A comma-separated list of resource IDs. If provided, all other query
            params are ignored.
          example: resource_id_1,resource_id_2
          items:
            type: string
            description: ''
      required:
        - in
      additionalProperties: false
      title: CartOrderIdsQueryParam
    CartOrderCreated_DateQueryParam:
      type: object
      properties:
        eq:
          type: string
          format: date-time
          description: ''
          example: '2023-03-15T13:45:30Z'
        neq:
          type: string
          format: date-time
          description: ''
        in:
          type: array
          description: Comma-separated.
          items:
            type: string
            format: date-time
            description: ''
        nin:
          type: array
          description: Comma-separated.
          items:
            type: string
            format: date-time
            description: ''
        gt:
          type: string
          format: date-time
          description: ''
        gte:
          type: string
          format: date-time
          description: ''
        lt:
          type: string
          format: date-time
          description: ''
        lte:
          type: string
          format: date-time
          description: ''
      additionalProperties: false
      title: CartOrderCreated_DateQueryParam
    CartOrderUpdated_DateQueryParam:
      type: object
      properties:
        eq:
          type: string
          format: date-time
          description: ''
          example: '2023-03-15T13:45:30Z'
        neq:
          type: string
          format: date-time
          description: ''
        in:
          type: array
          description: Comma-separated.
          items:
            type: string
            format: date-time
            description: ''
        nin:
          type: array
          description: Comma-separated.
          items:
            type: string
            format: date-time
            description: ''
        gt:
          type: string
          format: date-time
          description: ''
        gte:
          type: string
          format: date-time
          description: ''
        lt:
          type: string
          format: date-time
          description: ''
        lte:
          type: string
          format: date-time
          description: ''
      additionalProperties: false
      title: CartOrderUpdated_DateQueryParam
    CartOrderTrackstar_Created_DateQueryParam:
      type: object
      properties:
        eq:
          type: string
          format: date-time
          description: ''
          example: '2023-03-15T13:45:30Z'
        neq:
          type: string
          format: date-time
          description: ''
        in:
          type: array
          description: Comma-separated.
          items:
            type: string
            format: date-time
            description: ''
        nin:
          type: array
          description: Comma-separated.
          items:
            type: string
            format: date-time
            description: ''
        gt:
          type: string
          format: date-time
          description: ''
        gte:
          type: string
          format: date-time
          description: ''
        lt:
          type: string
          format: date-time
          description: ''
        lte:
          type: string
          format: date-time
          description: ''
      additionalProperties: false
      title: CartOrderTrackstar_Created_DateQueryParam
    CartOrderTrackstar_Updated_DateQueryParam:
      type: object
      properties:
        eq:
          type: string
          format: date-time
          description: ''
          example: '2023-03-15T13:45:30Z'
        neq:
          type: string
          format: date-time
          description: ''
        in:
          type: array
          description: Comma-separated.
          items:
            type: string
            format: date-time
            description: ''
        nin:
          type: array
          description: Comma-separated.
          items:
            type: string
            format: date-time
            description: ''
        gt:
          type: string
          format: date-time
          description: ''
        gte:
          type: string
          format: date-time
          description: ''
        lt:
          type: string
          format: date-time
          description: ''
        lte:
          type: string
          format: date-time
          description: ''
      additionalProperties: false
      title: CartOrderTrackstar_Updated_DateQueryParam
    CartOrderTrackstar_Tags_FlatQueryParam:
      type: object
      properties:
        contains:
          type: array
          description: Comma-separated.
          example: tag_1,tag_2:value_2
          items:
            type: string
            description: ''
        not_contains:
          type: array
          description: Comma-separated.
          items:
            type: string
            description: ''
      additionalProperties: false
      title: CartOrderTrackstar_Tags_FlatQueryParam
    CartOrderStatusQueryParam:
      type: object
      properties:
        eq:
          type: string
          enum:
            - open
            - confirmed
            - processing
            - partially_fulfilled
            - fulfilled
            - exception
            - cancelled
            - backordered
            - other
          description: ''
          example: open
        neq:
          type: string
          enum:
            - open
            - confirmed
            - processing
            - partially_fulfilled
            - fulfilled
            - exception
            - cancelled
            - backordered
            - other
          description: ''
        in:
          type: array
          description: Comma-separated.
          items:
            type: string
            enum:
              - open
              - confirmed
              - processing
              - partially_fulfilled
              - fulfilled
              - exception
              - cancelled
              - backordered
              - other
            description: ''
        nin:
          type: array
          description: Comma-separated.
          items:
            type: string
            enum:
              - open
              - confirmed
              - processing
              - partially_fulfilled
              - fulfilled
              - exception
              - cancelled
              - backordered
              - other
            description: ''
        contains:
          type: string
          description: ''
        not_contains:
          type: string
          description: ''
      additionalProperties: false
      title: CartOrderStatusQueryParam
    CartOrderOrder_NumberQueryParam:
      type: object
      properties:
        eq:
          type: string
          description: ''
          example: order_num
        neq:
          type: string
          description: ''
        in:
          type: array
          description: Comma-separated.
          items:
            type: string
            description: ''
        nin:
          type: array
          description: Comma-separated.
          items:
            type: string
            description: ''
        contains:
          type: string
          description: ''
        not_contains:
          type: string
          description: ''
      additionalProperties: false
      title: CartOrderOrder_NumberQueryParam
    CartOrderTagsQueryParam:
      type: object
      properties:
        contains:
          type: array
          description: Comma-separated.
          example: tag_1,tag_2
          items:
            type: string
            description: ''
        not_contains:
          type: array
          description: Comma-separated.
          items:
            type: string
            description: ''
      additionalProperties: false
      title: CartOrderTagsQueryParam
    CartOrderSkusQueryParam:
      type: object
      properties:
        contains:
          type: array
          description: Comma-separated.
          example: sku_1,sku_2
          items:
            type: string
            description: ''
        not_contains:
          type: array
          description: Comma-separated.
          items:
            type: string
            description: ''
      additionalProperties: false
      title: CartOrderSkusQueryParam
    CartOrderWarehouse_IdsQueryParam:
      type: object
      properties:
        contains:
          type: array
          description: Comma-separated.
          example: warehouse_id_1,warehouse_id_2
          items:
            type: string
            description: ''
        not_contains:
          type: array
          description: Comma-separated.
          items:
            type: string
            description: ''
      additionalProperties: false
      title: CartOrderWarehouse_IdsQueryParam
    CartOrdersListEndpoint:
      type: object
      properties:
        data:
          type: array
          description: ''
          items:
            $ref: '#/components/schemas/CartOrderApiItemSchema'
        next_token:
          type:
            - string
            - 'null'
          description: >-
            See [pagination](/how-to-guides/about-the-api#pagination) for more
            details.
          example: next_token
        total_count:
          type: integer
          description: The number of items returned.
          example: 1
      required:
        - data
        - next_token
        - total_count
      additionalProperties: false
      title: CartOrdersListEndpoint
    ValidationError:
      properties:
        error:
          type: string
        detail:
          type: object
          properties:
            <location>:
              type: object
              properties:
                <field_name>:
                  type: array
                  items:
                    type: string
      required:
        - error
      type: object
      title: ValidationError
    CartOrderApiItemSchema:
      type: object
      properties:
        id:
          type: string
          description: The unique ID of the order.
          example: order_id
        order_number:
          type: string
          description: The order number assigned by the platform. Defaults to order ID.
          example: order_number
        created_date:
          type: string
          format: date-time
          description: The date the order was created.
          example: '2022-01-01T00:00:00Z'
        updated_date:
          type: string
          format: date-time
          description: The date the order was last updated.
          example: '2022-01-02T05:05:05Z'
        status:
          type: string
          enum:
            - open
            - confirmed
            - processing
            - partially_fulfilled
            - fulfilled
            - exception
            - cancelled
            - backordered
            - other
          description: >-
            The status of the order. See the [order information](info) for more
            details.
          example: open
        raw_status:
          type:
            - string
            - 'null'
          description: The raw status (if available) returned directly from the platform.
          example: raw_status
        requested_shipping_method:
          type:
            - string
            - 'null'
          description: The type of shipping method requested by the customer.
          example: Standard
        shipping_method_id:
          type:
            - string
            - 'null'
          description: The ID of the actual shipping method.
          example: shipping_method_id
        shipping_method_name:
          type:
            - string
            - 'null'
          description: The name of the actual shipping method.
          example: Standard Shipping
        carrier_id:
          type:
            - string
            - 'null'
          description: The ID of the carrier used to ship the order.
          example: carrier_id
        carrier_name:
          type:
            - string
            - 'null'
          description: The name of the carrier used to ship the order.
          example: Carrier Name
        invoice_currency_code:
          type: string
          description: >-
            The currency used for this order. If not provided explicitly,
            defaults to USD.
          example: USD
        total_price:
          type:
            - number
            - 'null'
          description: The total price a customer paid for the order.
          example: 13.49
        total_tax:
          type:
            - number
            - 'null'
          description: The total tax on the order.
          example: 1.5
        total_discount:
          type:
            - number
            - 'null'
          description: The total amount discounted from the order.
          example: 2.5
        total_shipping:
          type:
            - number
            - 'null'
          description: The total shipping cost for the order incurred by the customer.
          example: 3.5
        ship_to_address:
          $ref: '#/components/schemas/ShipToAddress'
        bill_to_address:
          $ref: '#/components/schemas/BillToAddress'
        earliest_ship_date:
          type:
            - string
            - 'null'
          format: date-time
          description: The earliest date the order can be shipped.
          example: '2022-10-10T01:02:03Z'
        latest_ship_date:
          type:
            - string
            - 'null'
          format: date-time
          description: The latest date the order can be shipped.
          example: '2022-10-10T01:02:03Z'
        line_items:
          type: array
          description: List of the products included in the order.
          example:
            - line_item_id: line_item_id
              product_id: null
              product_sku: null
              parent_product_id: null
              parent_product_sku: null
              quantity: 1
              unit_price: 10.99
              discount: 1.5
              tax: 0.5
              warehouse_id: warehouse_id
          items:
            $ref: '#/components/schemas/CartOrderLineItem'
        shipping_groups:
          type: array
          description: >-
            Sets of line items that will be fulfilled together from the same
            locations. Only applies in Shopify, as fulfillmentOrders.
          items:
            $ref: '#/components/schemas/CartOrderShippingGroup'
        shipments:
          type: array
          description: List of the shipments sent out to the customer.
          items:
            $ref: '#/components/schemas/CartOrderShipment'
        tags:
          type: array
          description: A list of tags associated with the order.
          example:
            - tag_0
          items:
            type: string
            description: A tag associated with the order.
            example: tag_0
        external_system_url:
          type:
            - string
            - 'null'
          description: URL link to the order in the external system (WMS/Freight etc).
          example: https://example.com/order/123
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        additional_fields:
          type: object
          description: Integration-specific fields
          example:
            key: value
          additionalProperties: {}
        trackstar_created_date:
          type: string
          format: date-time
          description: ''
        trackstar_updated_date:
          type: string
          format: date-time
          description: ''
      required:
        - additional_fields
        - bill_to_address
        - carrier_id
        - carrier_name
        - created_date
        - earliest_ship_date
        - external_system_url
        - id
        - invoice_currency_code
        - latest_ship_date
        - line_items
        - order_number
        - raw_status
        - requested_shipping_method
        - ship_to_address
        - shipments
        - shipping_groups
        - shipping_method_id
        - shipping_method_name
        - status
        - tags
        - total_discount
        - total_price
        - total_shipping
        - total_tax
        - trackstar_created_date
        - trackstar_tags
        - trackstar_updated_date
        - updated_date
      additionalProperties: false
      title: CartOrderApiItemSchema
    ShipToAddress:
      type: object
      properties:
        full_name:
          type:
            - string
            - 'null'
          description: ''
          example: John Doe
        company:
          type:
            - string
            - 'null'
          description: ''
          example: Company
        address1:
          type:
            - string
            - 'null'
          description: ''
          example: 123 Main St
        address2:
          type:
            - string
            - 'null'
          description: ''
          example: Apt 2
        address3:
          type:
            - string
            - 'null'
          description: ''
          example: Floor 3
        city:
          type:
            - string
            - 'null'
          description: ''
          example: New York
        state:
          type:
            - string
            - 'null'
          description: ''
          example: NY
        postal_code:
          type:
            - string
            - 'null'
          description: ''
          example: '10001'
        country:
          type:
            - string
            - 'null'
          description: ''
          example: United States
        phone_number:
          type:
            - string
            - 'null'
          description: ''
          example: 123-456-7890
        email_address:
          type:
            - string
            - 'null'
          description: ''
          example: johndoe@example.com
      required:
        - address1
        - address2
        - address3
        - city
        - company
        - country
        - email_address
        - full_name
        - phone_number
        - postal_code
        - state
      additionalProperties: false
      title: ShipToAddress
    BillToAddress:
      type: object
      properties:
        full_name:
          type:
            - string
            - 'null'
          description: ''
          example: John Doe
        address1:
          type:
            - string
            - 'null'
          description: ''
          example: 123 Main St
        address2:
          type:
            - string
            - 'null'
          description: ''
          example: Apt 2
        address3:
          type:
            - string
            - 'null'
          description: ''
          example: Floor 3
        city:
          type:
            - string
            - 'null'
          description: ''
          example: New York
        state:
          type:
            - string
            - 'null'
          description: ''
          example: NY
        postal_code:
          type:
            - string
            - 'null'
          description: ''
          example: '10001'
        country:
          type:
            - string
            - 'null'
          description: ''
          example: United States
      required:
        - address1
        - address2
        - address3
        - city
        - country
        - full_name
        - postal_code
        - state
      additionalProperties: false
      title: BillToAddress
    CartOrderLineItem:
      type: object
      properties:
        line_item_id:
          type: string
          description: The ID of the line item.
          example: line_item_id
        product_id:
          type: string
          description: >-
            The ID of the product. Can be passed into the [Cart
            Product](/api-reference/cart-api/products/get-item) endpoint for
            more details.
        product_sku:
          type:
            - string
            - 'null'
          description: ''
        parent_product_id:
          type:
            - string
            - 'null'
          description: The ID of the product's parent.
        parent_product_sku:
          type:
            - string
            - 'null'
          description: ''
        quantity:
          type: integer
          description: ''
          example: 1
        unit_price:
          type:
            - number
            - 'null'
          description: >-
            The price of the product in the currency specified by
            `invoice_currency_code`.
          example: 10.99
        discount:
          type:
            - number
            - 'null'
          description: >-
            The unit amount discounted from the product for this order. This is
            the amount of discount per unit of the product.
          example: 1.5
        tax:
          type:
            - number
            - 'null'
          description: >-
            The unit amount of tax on the product for this order. This is the
            amount of tax per unit of the product
          example: 0.5
        warehouse_id:
          type:
            - string
            - 'null'
          description: >-
            The warehouse this line item should ship from. Can be passed into
            the [Warehouse](/api-reference/cart-api/warehouses/get-item)
            endpoint for more details.
          example: warehouse_id
      required:
        - discount
        - line_item_id
        - parent_product_id
        - parent_product_sku
        - product_id
        - product_sku
        - quantity
        - tax
        - unit_price
        - warehouse_id
      additionalProperties: false
      title: CartOrderLineItem
    CartOrderShippingGroup:
      type: object
      properties:
        shipping_group_id:
          type: string
          description: The ID of the shipping_group.
          example: shipping_group_id
        created_date:
          type: string
          format: date-time
          description: The date the shipping_group was created.
          example: '2022-01-01T00:00:00Z'
        updated_date:
          type: string
          format: date-time
          description: The date the shipping_group was last updated.
          example: '2022-01-02T05:05:05Z'
        raw_status:
          type:
            - string
            - 'null'
          description: >-
            The raw status (if available) of the shipping group returned
            directly from the integration.
          example: raw_status
        status:
          type:
            - string
            - 'null'
          enum:
            - open
            - shipped
            - delivered
            - cancelled
            - exception
            - on_hold
            - other
          description: The status of the shipping group.
          example: shipped
        warehouse_id:
          type: string
          description: >-
            The ID of the warehouse that the shipping group will send from.
            Subject to change.
          example: warehouse_id
        line_items:
          type: array
          description: List of the products in the shipping group.
          items:
            $ref: '#/components/schemas/CartOrderShipmentGroupLineItem'
      required:
        - created_date
        - line_items
        - raw_status
        - shipping_group_id
        - status
        - updated_date
        - warehouse_id
      additionalProperties: false
      title: CartOrderShippingGroup
    CartOrderShipment:
      type: object
      properties:
        shipment_id:
          type: string
          description: The ID of the shipment.
          example: shipment_id
        raw_status:
          type:
            - string
            - 'null'
          description: >-
            The raw status (if available) of the shipment returned directly from
            the integration.
          example: raw_status
        status:
          type:
            - string
            - 'null'
          enum:
            - open
            - shipped
            - delivered
            - cancelled
            - exception
            - on_hold
            - other
          description: The status of the shipment.
          example: shipped
        warehouse_id:
          type:
            - string
            - 'null'
          description: >-
            The warehouse the shipment was shipped from. Can be passed into the
            [Warehouse](/api-reference/cart-api/warehouses/get-item) endpoint
            for more details.
          example: warehouse_id
        shipping_method_id:
          type:
            - string
            - 'null'
          description: The ID of the shipping method used for the shipment.
          example: shipment_shipping_method_id
        shipping_method_name:
          type:
            - string
            - 'null'
          description: The name of the shipping method used for the shipment.
          example: shipment_shipping_method_name
        carrier_id:
          type:
            - string
            - 'null'
          description: The ID of the carrier used to ship the shipment.
          example: carrier_id
        carrier_name:
          type:
            - string
            - 'null'
          description: The name of the carrier used to ship the shipment.
          example: carrier_name
        tracking_number:
          type:
            - string
            - 'null'
          description: The tracking number for the shipment.
        tracking_url:
          type:
            - string
            - 'null'
          description: The URL for the tracking number.
          example: https://www.example.com/tracking
        line_items:
          type: array
          description: List of the products listed in the shipment.
          items:
            $ref: '#/components/schemas/CartOrderShipmentLineItem'
        shipping_groups:
          type: array
          description: >-
            List of the shipping groups included in the shipment. Only applies
            in Shopify, as fulfillmentOrders.
          example:
            - sg_id_1
            - sg_id_2
          items:
            type: string
            description: The ID of the shipping group included in the shipment.
        ship_from_address:
          $ref: '#/components/schemas/ShipFromAddress'
        created_date:
          type:
            - string
            - 'null'
          format: date-time
          description: The date the shipment was created.
          example: '2022-01-01T00:00:00Z'
        updated_date:
          type:
            - string
            - 'null'
          format: date-time
          description: The date the shipment was last updated.
          example: '2022-01-02T05:05:05Z'
      required:
        - carrier_id
        - carrier_name
        - created_date
        - line_items
        - raw_status
        - ship_from_address
        - shipment_id
        - shipping_groups
        - shipping_method_id
        - shipping_method_name
        - status
        - tracking_number
        - tracking_url
        - updated_date
        - warehouse_id
      additionalProperties: false
      title: CartOrderShipment
    CartOrderShipmentGroupLineItem:
      type: object
      properties:
        line_item_id:
          type: string
          description: The ID of the line item in the shipping group.
          example: shipping_group_line_item_id
        product_id:
          type: string
          description: The ID of the product.
        product_sku:
          type:
            - string
            - 'null'
          description: ''
        parent_product_id:
          type:
            - string
            - 'null'
          description: The ID of the product's parent.
        quantity:
          type: integer
          description: ''
          example: 0
      required:
        - line_item_id
        - parent_product_id
        - product_id
        - product_sku
        - quantity
      additionalProperties: false
      title: CartOrderShipmentGroupLineItem
    CartOrderShipmentLineItem:
      type: object
      properties:
        shipment_line_item_id:
          type: string
          description: The ID of the line item in the shipment.
        product_id:
          type: string
          description: The ID of the product.
        product_sku:
          type:
            - string
            - 'null'
          description: ''
        parent_product_id:
          type:
            - string
            - 'null'
          description: The ID of the product's parent.
        parent_product_sku:
          type:
            - string
            - 'null'
          description: ''
        quantity:
          type: integer
          description: ''
          example: 0
      required:
        - parent_product_id
        - parent_product_sku
        - product_id
        - product_sku
        - quantity
        - shipment_line_item_id
      additionalProperties: false
      title: CartOrderShipmentLineItem
    ShipFromAddress:
      type: object
      properties:
        address1:
          type:
            - string
            - 'null'
          description: ''
          example: 123 Main St
        address2:
          type:
            - string
            - 'null'
          description: ''
          example: Apt 2
        address3:
          type:
            - string
            - 'null'
          description: ''
          example: Floor 3
        city:
          type:
            - string
            - 'null'
          description: ''
          example: New York
        state:
          type:
            - string
            - 'null'
          description: ''
          example: NY
        postal_code:
          type:
            - string
            - 'null'
          description: ''
          example: '10001'
        country:
          type:
            - string
            - 'null'
          description: ''
          example: United States
      required:
        - address1
        - address2
        - address3
        - city
        - country
        - postal_code
        - state
      additionalProperties: false
      title: ShipFromAddress

````